This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 653305 - listSystemEvents fails when errata update scheduled by (none)
listSystemEvents fails when errata update scheduled by (none)
Status: CLOSED ERRATA
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
540
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Šimon Lukašík
:
Depends On:
Blocks: sat54-errata 688881
  Show dependency treegraph
 
Reported: 2010-11-15 03:49 EST by Šimon Lukašík
Modified: 2011-03-18 07:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause When satellite-sync schedules an event, scheduler user is set to null. Null cannot be passed via XMLRPC and fails with NullPointerException Consequence system.listSystemEvents API fails with NulLPointerException, when some events were scheduled by satellite-sync Fix Not trying to pass scheduler user over XMLRPC, if it's set to null Result system.listSystemEvents API can be called also, when satellite-sync scheduled events for a system and doesn't fail
Story Points: ---
Clone Of:
: 688881 (view as bug list)
Environment:
Last Closed: 2011-03-17 10:13:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
snip from catalina.out (7.48 KB, text/plain)
2010-11-15 03:50 EST, Šimon Lukašík
no flags Details

  None (edit)
Description Šimon Lukašík 2010-11-15 03:49:59 EST
Description of problem:
Api call system.listSystemEvents api fails with <redstone.xmlrpc.XmlRpcFault: unhandled internal exception: null> for some (corner?) cases.

Version-Release number of selected component (if applicable):
Satellite 540

How reproducible:
deterministic

Steps to Reproduce:
1. Set auto errata update on client
2. sync from dump
3. ensure that errata update events are scheduled for system
4. system.listSystemEvents() api call

  
Actual results:
<redstone.xmlrpc.XmlRpcFault: unhandled internal exception: null>

Expected results:
return pending system events

Additional info:
Comment 1 Šimon Lukašík 2010-11-15 03:50:41 EST
Created attachment 460503 [details]
snip from catalina.out
Comment 2 Tomas Lestach 2010-11-15 04:18:49 EST
Correct, when sat sync schedules an event, event scheduler user is set to null. Impossible to get the user login information. :-)

spacewalk.git: d3b75b3811596272f96cc2224bfe010cf3d3f442
Comment 6 Tomas Lestach 2011-02-14 09:53:07 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
When satellite-sync schedules an event, scheduler user is set to null. Null cannot be passed via XMLRPC and fails with NullPointerException

Consequence
system.listSystemEvents API fails with NulLPointerException, when some events were scheduled by satellite-sync

Fix
Not trying to pass scheduler user over XMLRPC, if it's set to null

Result
system.listSystemEvents API can be called also, when satellite-sync scheduled events for a system and doesn't fail
Comment 7 Šimon Lukašík 2011-02-18 14:02:52 EST
Taking QA contact.
Comment 8 Šimon Lukašík 2011-02-21 03:50:06 EST
Changing to VERIFIED.

Testing procedure:
Automated test

Verified against:
spacewalk-java-1.2.39-36.el5sat
Comment 9 errata-xmlrpc 2011-03-17 10:13:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0362.html

Note You need to log in before you can comment on or make changes to this bug.